Bug 1840707 - [oVirt][Tests] skip network tests
Summary: [oVirt][Tests] skip network tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Gal Zaidman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1838751 1844831 1848570
TreeView+ depends on / blocked
 
Reported: 2020-05-27 13:10 UTC by Gal Zaidman
Modified: 2020-07-13 17:42 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1844831 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:42:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25012 0 None closed Bug 1840707: oVirt, skip network service tests 2020-06-21 10:33:36 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:42:26 UTC

Description Gal Zaidman 2020-05-27 13:10:03 UTC
the following network tests have been failing on oVirt and other platforms:

- [sig-network] Networking Granular Checks: Services should function for endpoint-Service.
- [sig-network] Networking Granular Checks: Services should function for node-Service.
- [sig-network] Networking Granular Checks: Services should function for pod-Service.

we didn't know the reason until recently and now there is a fix which is targeted for RHEL 8.3 [1] and there are openshift bugs for tracking the fix in openshift [2][3].

Since this is now a very known issue and is currently failing our CI and making it hard to distinguish between a red failed CI and a false one we decided to skip those test for ovirt until the fix will land.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1794714
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1822714
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1822755

Comment 1 Gal Zaidman 2020-05-27 13:11:06 UTC
Created this bug mainly because the openshift bot needs it, you can see discussion on https://github.com/openshift/origin/pull/25012.

Comment 4 zhaozhanqi 2020-05-28 02:33:11 UTC
verified this bug and this just affect e2e testing.

Comment 5 errata-xmlrpc 2020-07-13 17:42:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.